package com.kingdee.eas.custom.salarytemplate;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WagesChromatographyEntryFactory
{
    private WagesChromatographyEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.salarytemplate.IWagesChromatographyEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.salarytemplate.IWagesChromatographyEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("022F2DAA") ,com.kingdee.eas.custom.salarytemplate.IWagesChromatographyEntry.class);
    }
    
    public static com.kingdee.eas.custom.salarytemplate.IWagesChromatographyEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.salarytemplate.IWagesChromatographyEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("022F2DAA") ,com.kingdee.eas.custom.salarytemplate.IWagesChromatographyEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.salarytemplate.IWagesChromatographyEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.salarytemplate.IWagesChromatographyEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("022F2DAA"));
    }
    public static com.kingdee.eas.custom.salarytemplate.IWagesChromatographyEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.salarytemplate.IWagesChromatographyEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("022F2DAA"));
    }
}